@echo off
if not exist eaconv.exe goto nconv
cls
Echo !!! DON'T INTERRUPT!!! PROCESS IS  V E R Y  SLOW !!!
Echo !!! OR YOU DAMAGED YOUR GAME FILES !!!
Echo !!! YOU NEED 2 GB FOR FULL OR 350 MB FOR DEMO VERSION OF FREE HDD SPACE!!!
Echo !!! IF YOU WANT TO EXIT - PRESS  CTRL+C  N O W !!!
Echo.
pause
if exist "MW_Music.mus" goto vfull
if exist "MW_Music_D.mus" goto vdemo
Echo.
Echo File "MW_Music*.mus" not found! Place these tools to \SOUND\PFDATA\
Echo in your game folder!
Echo.
pause
goto quit

:vdemo
Echo.
Echo Demo version found.
Echo.
ren Tool1.dat Tool1.exe >nul
Tool1.exe "MW_Music_D.mus"
ren Tool1.exe Tool1.dat >nul
eaconv.exe "MW_Music_D.mus"
cls
ren ToolD2.dat ToolD2.exe >nul
ToolD2.exe
ren ToolD2.exe ToolD2.dat >nul
ren Tool3.dat Tool3.exe >nul
Tool3.exe "MW_Music_D.mus"
ren Tool3.exe Tool3.dat >nul
pause
goto quit

:vfull
Echo.
Echo Full version found.
Echo.
ren Tool1.dat Tool1.exe >nul
Tool1.exe "MW_Music.mus"
ren Tool1.exe Tool1.dat >nul
eaconv.exe "MW_Music.mus"
cls
ren Tool2.dat Tool2.exe >nul
Tool2.exe
ren Tool2.exe Tool2.dat >nul
ren Tool3.dat Tool3.exe >nul
Tool3.exe "MW_Music.mus"
ren Tool3.exe Tool3.dat >nul
pause
goto quit

:nconv
Echo.
Echo File "eaconv.exe" not found! It's a main file and you can't convert without it!
Echo Download latest version of "eatools" from: http://ga-agent.nm.ru/stuff/
Echo.
pause

:quit
cls